# Interface methods for submodule: Point
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import FixedArrayProxy as _FixedArrayProxy


# Interface methods for class: Point
class PointProxy(_FixedArrayProxy):
	@staticmethod
	def GetPointDimension() -> int:
		""""""
		...

	def GetVectorFromOrigin(self) -> Sequence[float]:
		""""""
		...

	@overload
	def GetVnlVector(self) -> vnl_vector_ref:
		""""""
		...

	@overload
	def GetVnlVector(self) -> vnl_vector:
		""""""
		...

	def SetToMidPoint(self, arg0: Sequence[float], arg1: Sequence[float]) -> None:
		""""""
		...

	@overload
	def SetToBarycentricCombination(self, A: Sequence[float], B: Sequence[float], alpha: float) -> None:
		""""""
		...

	@overload
	def SetToBarycentricCombination(self, A: Sequence[float], B: Sequence[float], C: Sequence[float], weightForA: float, weightForB: float) -> None:
		""""""
		...

	@overload
	def SetToBarycentricCombination(self, P, weights, N: int) -> None:
		""""""
		...

